//
//  ProxySettings.h
//  Fuze
//
//  Created by Ivan Shulev on 12/22/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSUInteger, ProxyType)
{
    kProxyTypeUnknown = 0,
    kProxyTypeNone,
    kProxyTypeHTTP,
    kProxyTypeSOCKS
};

@interface ProxySettings : NSObject
{
    ProxyType proxyType;
    
    NSString* proxyHostName;
    
    unsigned short proxyPort;
    
    NSString* username;
}

@property (readwrite) ProxyType proxyType;

@property (readwrite, retain) NSString* proxyHostName;

@property (readwrite) unsigned short proxyPort;

@property (readwrite, retain) NSString* username;

@end
